@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;500;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Inter', sans-serif;
    background: #f8f8f8;
    color: #111;
}

.wrapper {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    padding: 40px;
}

.content {
    min-width: 72vw;
    min-height: calc(100vh - 240px);
    background-color: #FFFFC2;
    padding: 80px 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;  

}

@media all and (max-width: 768px) {
  .content {
    min-width: calc(100vw - 40px);
    min-height: calc(100vh - 40px);
  }
}

h1 {
    font-size: clamp(40px, 6vw, 104px);
    font-weight: 700;
    line-height: 1.05;
    letter-spacing: -1px;
    margin-bottom: 48px;
}

p {
    font-size: 18px;
    font-weight: 300;
    color: #555;
    line-height: 1.6;
}

.logo {
  width: 200px;
  margin-bottom: 48px;
  display: block;
  margin-left: auto;
  margin-right: auto;
}


.link-button {
    display: flex;
    margin-left: auto;
    margin-right: auto;
    margin-top: 48px;
    align-items: center;
    justify-content: center;
    gap: 10px;

    font-size: 18px;
    font-weight: 500;
    color: #111;
    text-decoration: none;
    width: 220px;
    position: relative;
    background-color: #222;
    color: #FFFFC2;
    padding: 12px;
    transition: .2s all ease;
}



/* strzałka */
.arrow {
    display: inline-block;
    transition: transform 0.3s ease;
}

/* strzałka lekko ucieka */
.link-button:hover .arrow {
    transform: translate(4px, -4px);
}

.link-button:hover {
  color: #fff;
}